Index: AUTHORS
===================================================================
--- AUTHORS	(revision 1d2c4c3b5a65c0876340b3505cc91f8d873970be)
+++ AUTHORS	(revision e3a0d71f724f8e6944f1b6a8a41771152d86901b)
@@ -13,9 +13,9 @@
   Eric Price
 
-BarnOwl is based on code from Owl, which was originally primarly
+BarnOwl is based on code from Owl, which was originally primarily
 written by James Kretchmar.  Erik Nygren also made substantial
-contributions and improvemnts to the program.
+contributions and improvements to the program.
 
-The following people provided patches and other techincal support for
+The following people provided patches and other technical support for
 Owl:
 
@@ -30,5 +30,5 @@
   Mark Eichin
 
-Mark Eichin is also maintaining the debian package of Owl.
+Mark Eichin is also maintaining the Debian package of Owl.
 
 The following people helped with beta testing the earliest versions of
Index: ChangeLog
===================================================================
--- ChangeLog	(revision 7869e4801e577613b7db987d11bddb0a31fe755c)
+++ ChangeLog	(revision e3a0d71f724f8e6944f1b6a8a41771152d86901b)
@@ -98,5 +98,5 @@
  * Add a configure flag to enable/disable building with krb4. -wthrowe@mit.edu
  * Fix an infinite loop on 'view -r args'. -nelhage@mit.edu
- * Free paths to Zephyr dot-files when non-existant -davidben@mit.edu
+ * Free paths to Zephyr dot-files when non-existent -davidben@mit.edu
  * Jabber: Accept a -m argument to jwrite to set the message. -nelhage@mit.edu
 
@@ -123,5 +123,5 @@
  * zcrypt: Implement AES encryption support using GPG. -nelhage@mit.edu
  * Add usage messages to everything in scripts/ -nelhage@mit.edu
- * Split zcrypt into an external, standalong binary. -nelhage@mit.edu
+ * Split zcrypt into an external, standalone binary. -nelhage@mit.edu
  * Fix minor documentation typo -alexmv@mit.edu
  * Document the init/cleanup vs. new/delete naming conventions. -andersk@mit.edu
@@ -216,5 +216,5 @@
  * Fix an off by one error in some editwin code. -asedeno@mit.edu
  * Make zdots work even if the buffer has trailing whitespace. -nelhage@mit.edu
- * Fix pseudo-login interation with zephyr initialization. -asedeno@mit.edu
+ * Fix pseudo-login interaction with zephyr initialization. -asedeno@mit.edu
  * Correct the --with-libzephyr help message in the configure script. -broder@mit.edu
  * Set the UTF-8 flag on on strings we pass to Perl. -nelhage@mit.edu
@@ -360,5 +360,5 @@
  * Fix logging of personal jabbers from JIDs containing / -nelhage
  * Fix Jabber breakage under reload-modules. -asedeno
- * Make reload-moduled correctly re-run startup hooks. -asedeno
+ * Make reload-module correctly re-run startup hooks. -asedeno
  * Squelch Jabbers with no bodies, such as typing notifications. -asedeno
  * Various small spelling and grammar fixes. -geofft
@@ -371,5 +371,5 @@
  * Fix a segfault on retrieving zephyr subs when the user doesn't
    have any or has expired tickets. -asedeno
- * Don't complain about non-existant ~/.owl/startup when starting. -asedeno
+ * Don't complain about non-existent ~/.owl/startup when starting. -asedeno
  * Fix narrowing to personals in IRC. -alexmv
  * Don't segfault retrieving subscriptions without valid tickets. -asedeno
@@ -449,8 +449,8 @@
    * more strict utf-8 byte fetching.
      This probably still needs more work. - asedeno
-   * Strip formmating characters when dumping to
+   * Strip formating characters when dumping to
      file. - asedeno
    * fixing bugs in editwin bufflen calculations. - asedeno
-   * Fix search code so higlighting actually works. - asedeno
+   * Fix search code so highlighting actually works. - asedeno
    * Remove options for libcurses and libncurses. This really only works with
      libncursesw. - asedeno
@@ -501,5 +501,5 @@
  * Add a new struct member to the global to hold an escaped aim screenname.
     populate the aforementioned new struct member. - asedeno
- * Removed our debian subdirectory, per Debian guidelines, at broder's
+ * Removed our Debian subdirectory, per Debian guidelines, at broder's
    request. - geofft
  * Make `all' the first target so we build the modules by default - nelhage
@@ -658,5 +658,5 @@
   - nelhage
  * Adding 256-color support. This requires a version of ncurses that supports
-   ABI-6. Colors beyond the first eight are refered to by number. - asedeno
+   ABI-6. Colors beyond the first eight are referred to by number. - asedeno
  * Correctly escape {} and () in regular expressions - nelhage
  * When generating filters, change single quotes and double quotes into
@@ -699,7 +699,7 @@
  * Cause perl to always be loaded, even if no owlconf is present. - hartmans
  * Implemented an extensible perl module system - hartmans
- * Exposed owl_fuction_popless_text() and owl_fuction_popless_ztext() to
+ * Exposed owl_function_popless_text() and owl_function_popless_ztext() to
    perl - asedeno
- * Support multiple simaltaneous Jabber connections - asedeno
+ * Support multiple simultaneous Jabber connections - asedeno
  * Fixed a segfault on subbing without a .zephyr.subs file - nelhage
  * Implemented Jabber Roster support - asedeno
@@ -732,10 +732,10 @@
         Don't crash when sending/logging outgoing
 	   AIM message and not logged in [BZ 90]
-	Don't crash when senging to someone not on AIM buddy list [BZ 94]
+	Don't crash when sending to someone not on AIM buddy list [BZ 94]
 	   (patch from Alex Vandiver)
 
 2.1.11
 	Don't crash doing zlocate with bad tickets. [BZ 12]
-	Metion the path for the owlconf in intro.txt [BZ 54]
+	Mention the path for the owlconf in intro.txt [BZ 54]
 	Print better error message if startup fails due to unreadable
 	   .owlconf [BZ 57]
@@ -745,5 +745,5 @@
 	  readable.  Still prints an error either way if zephyr reports a
 	  failure. [BZ 19]
-	Fixed some small memory leaks in logging if files unwriteable
+	Fixed some small memory leaks in logging if files unwritable
 	If the variable logfilter is set it names a filter.  Any messages
 	  matching this filter are logged.  This is an independent
@@ -782,5 +782,5 @@
         Fixed a case where doing "aim addbuddy" instead of "addbuddy aim"
 	  would cause a segfault.
-	pexec will now incrimentally display data as it is output
+	pexec will now incrementally display data as it is output
 	  by the child process.  Additionally, commands running under
 	  pexec may now be killed by quitting out of the popless window.
@@ -870,5 +870,5 @@
 	Better 'status' command
 	Use '+' for popwin corners when 'fancylines' is off
-	Allow TERMINFO to be overridden in the envrionment
+	Allow TERMINFO to be overridden in the environment
 	Command line arg -D turns on debugging and deletes previous
 	  debugging file
@@ -924,5 +924,5 @@
 	Allow 'hostname' in filters.
 	Fixed bug in reporting when no one is subbed to a class
-	Added an extral newline in logging incoming zephyrs
+	Added an extra newline in logging incoming zephyrs
 	An admin message is displayed when you are logged out of AIM
 	Print an error message and admin message if an AIM send fails
@@ -933,5 +933,5 @@
 	Added feature for capturing stderr messages
 	   from commands and displaying them in the errors buffer.
-	Create an admin message explaning that a zephyr couldn't
+	Create an admin message explaining that a zephyr couldn't
 	   be sent
 	Better reporting of perl errors (both into the errqueue
@@ -1005,5 +1005,5 @@
 	Bug fix to make zwrite -m work with -c/-i
 	Fixed documentation bug in aimwrite
-	Initialze $owl::auth
+	Initialize $owl::auth
 	Fix in autoconf for des425
 	Reformatted editwin.c and added capability of doing password-style
@@ -1031,5 +1031,5 @@
 	The 'o' key is bound to 'toggle-oneline'
 	Internally, the one view now has a name, 'main', and message
-	  recalcuations are done in place when its filter is changed.
+	  recalculations are done in place when its filter is changed.
 	Added filter field 'login' which can take the values 'login'
 	   'logout' or 'none'
@@ -1071,9 +1071,9 @@
 	Added the 'newlinestrip' variable, on by default, that strips
 	  leading and trailing newlines from incoming messages.
-	Fixed a case sensitivity probelm in owl_message_is_personal and
+	Fixed a case sensitivity problem in owl_message_is_personal and
 	   owl_message_is_private
 	The message object now uses a list of attributes internally, in
   	  prep. for supporting new messaging protocols
-	owl_function_info now uses fmtext instead of one staticly sized
+	owl_function_info now uses fmtext instead of one statically sized
 	  buffer
 	in owl_message_get_cc() require that the colon be present after
@@ -1082,5 +1082,5 @@
 	  messages if they're encountered
 	In filters 'true' and 'false' are now valid tokens.
-	The 'all' filter has been redefinied to be 'true' and there is a
+	The 'all' filter has been redefined to be 'true' and there is a
 	  'none' filter defined as 'false'
 	Fixed bug in 'unsub' command that could cause file corruption
@@ -1104,5 +1104,5 @@
 	added the 'alert_filter' variable, defaults to 'none'.
 	added the 'alert_action' variable, which is an owl command that
-	  will be executed when new messages arive that match the
+	  will be executed when new messages arrive that match the
 	  alert_filter
 	added the 'term' command which takes the 'raise' and 'deiconify'
@@ -1133,5 +1133,5 @@
 	CTRL and META are now OWL_CTRL and OWL_META.  OWL_CTRL moved to
 	  keypress.c
-	do_encrypt declaired static
+	do_encrypt declared static
 	if we don't have des functions, do not try to build in zcrypt
 	kill the newmsgproc function on exit
@@ -1154,5 +1154,5 @@
 	'addbuddy zephyr <user>' and 'delbuddy zephyr <user>' now work.
 	'isloginout' and 'isprivate' are now message attributes
-	improved 'info' function lists seperate info for zephyr, aim and
+	improved 'info' function lists separate info for zephyr, aim and
 	   also prints all message attributes
 	AIM logging (both in and out) now works
@@ -1169,5 +1169,5 @@
 	The 'zlocate' command can now handle multiple users
 	The simple user format for "To:" is in effect again
-	Prettyed up the zwrite line for using 'reply' on a zaway
+	Prettied up the zwrite line for using 'reply' on a zaway
 	Added a workaround for a libzephyr bug that caused zwrites to fail
   	  if zephyrs were sent just before and just after renewing tickets
@@ -1203,9 +1203,9 @@
 
 1.2.4
-	'zlog in' will now take an optional thrid argument to set the
+	'zlog in' will now take an optional third argument to set the
 	     'tty' variable before setting the zlocation
 	There is now a 'zlist' command that acts like 'znol -l'
 	'l' is bound to 'zlist'
-	Fixed memory leak uninitialzed memory read in fmtext
+	Fixed memory leak uninitialized memory read in fmtext
 	viewwin will now say "End" instead of "More" when at the end
 	Added a debugging message indicating the result of topmsg
@@ -1234,5 +1234,5 @@
 	Temporary fix to bug where C-SPACE would cause the key handler to
 	     lock up.
-	Messages now have a direciton (in, out or none).  Filters can
+	Messages now have a direction (in, out or none).  Filters can
 	     match on this direction
 	Outbound messages are no longer type 'admin' but are of the
@@ -1469,13 +1469,13 @@
 1.1.2
 	Fixed memory mishandling bug
-	Fixed bug in redfining the filter attached to the current view
+	Fixed bug in redefining the filter attached to the current view
 	M-n will narrow to message, instance on non-personal, class
 	     MESSAGE messages
-	M-N behavies like M-n except that on class messages it narrows
+	M-N behaves like M-n except that on class messages it narrows
 	    to class and instance
 	line wrap earlier, to account for tabbing
 	fixed typo in help
 	'status' command now displays info on terminal color support
-	zephyr @ formatting is now case independant
+	zephyr @ formatting is now case independent
 	added support for color terminals
 	zephyr @color(foo) now works
@@ -1531,7 +1531,7 @@
 	on reply only quote class / instance when necessary
 	C-r allows you to edit the reply line
-	don't use unecessary options in reply line
+	don't use unnecessary options in reply line
 	display 'info' errors in msgwin, not popup
-	impelemnted aexec, pexec commands
+	implemented aexec, pexec commands
 	the zsig now goes through ztext formatting
 	messages have id numbers now
@@ -1548,5 +1548,5 @@
 	load-subs with no argument loads the default subs file
 	'<truncated>' is now when the *current* message is truncated
-	the reply-lockout filter (with default) specifices messages that
+	the reply-lockout filter (with default) specifies messages that
            cannot be replied to.
 	in the configfile owl::receive_msg is run whenever a message is
@@ -1560,5 +1560,5 @@
 	zaway_msg, zaway_msg_default and zaway are all user variables now.
 	zsig variable overrides zsigproc
-	If there's no appendtosepbar don't interfear with the sepbar
+	If there's no appendtosepbar don't interfere with the sepbar
 	Changed: owl_message_get_numlines will return 0 of m is NULL
 	Added login messages to messages marked by owl_function_delete_automsgs
@@ -1601,6 +1601,6 @@
 	      are generated from variable.c by stubgen.pl.
 	      The help.c messages for variables now calls into variable.c
-	      so all information about most variables is in one place.
-	Cleaned out code from global.c and command.c that was made obselete
+	      so all information about most variables is in one place.   
+	Cleaned out code from global.c and command.c that was made obsolete
 	      by variable overhaul.
 	The set command now takes a -q option to not log a message.
@@ -1684,5 +1684,5 @@
 0.10.1
 	fixed a trailing space bug in the parser
-	impelemented the "burning ears" feature
+	implemented the "burning ears" feature
 	have admin messages do ztext parsing
 	fixed bug in reporting which M- key was pressed
@@ -1722,5 +1722,5 @@
 	display the realm if not local
 	implemented M-f, M-b, M-d, M-<, M-> in editwin
-	implemnted word wrapping in editwin
+	implemented word wrapping in editwin
 	implemented M-q (paragraph-fill) in editwin
 	fixed bug that caused owl to segfault logging a 'weird' class
@@ -1746,5 +1746,5 @@
 	added subscribe command
 	subscribe to login messages from .anyone by default
-	'loginsubs' variarble controlls automated login messages
+	'loginsubs' variable controls automated login messages
 	redisplay the editwin after a resize
 	leave the cursor in the editwin if active
